# ApiAdhocHBaseSnapshot Data Model

An HBase snapshot descriptor.

Properties
name | data type | description
--- | --- | ---
sourceAccount | string |
sourceTable | string |
sourceSchedulerPool | string |
sourceService | ApiServiceRef |
sourceNumMappers | number |
sourceBandwidthPerMap | number |
exportSnapshotUser | string |

Example

    {
      "sourceAccount" : "...",
      "sourceTable" : "...",
      "sourceSchedulerPool" : "...",
      "sourceService" : {
        "peerName" : "...",
        "clusterName" : "...",
        "clusterDisplayName" : "...",
        "serviceName" : "...",
        "serviceDisplayName" : "...",
        "serviceType" : "..."
      },
      "sourceNumMappers" : 12345,
      "sourceBandwidthPerMap" : 12345,
      "exportSnapshotUser" : "..."
    }